import dayjs, { ConfigType, OpUnitType } from 'dayjs';
import 'dayjs/locale/nl';
import 'dayjs/locale/en';
export declare class TcDate {
    private internalDate?;
    constructor(date?: Date);
    add: (value: number, unit?: "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "M" | "y" | "h" | "m" | "s" | "ms" | "week" | "weeks" | "w" | undefined) => dayjs.Dayjs;
    subtract: (value: number, unit?: "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "M" | "y" | "h" | "m" | "s" | "ms" | "week" | "weeks" | "w" | undefined) => dayjs.Dayjs;
    toDate: () => Date;
    toISOString: () => string;
    locale: (preset: string | ILocale, object?: Partial<ILocale> | undefined) => dayjs.Dayjs;
    format: (template?: string | undefined) => string;
    isSame: (date: ConfigType, unit?: "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "M" | "y" | "h" | "m" | "s" | "ms" | "week" | "weeks" | "w" | undefined) => boolean;
    startOf: (unit: OpUnitType) => dayjs.Dayjs;
    endOf: (unit: OpUnitType) => dayjs.Dayjs;
    year: () => number;
    week: () => number;
    getWeekDates: () => Date[];
    formatDateTime: (template: string, language?: string) => string;
    getDayShortName: (language?: string) => string;
    toDateString: (date?: Date | undefined, format?: string) => string | undefined;
    getYearMonthDayKey: () => string;
    getDateOfWeek: (week: number, year: number) => Date;
    getDateOfIsoWeek: (week: number, year: number) => Date;
    getIsoWeekAndYear: () => {
        year: number;
        week: number;
        day: number;
    };
    getIsoWeek: () => number;
    getDateWithoutTimeAsUTC: () => Date;
    minimumDelay: (func: () => void, startTime: Date, mininumMs: number) => void;
}
